Revoke a rendition VAST publication
curl --request POST \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/rendition-vast-publications/{publicationUid}/revoke \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"storefrontId": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/rendition-vast-publications/{publicationUid}/revoke"
payload = { "storefrontId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({storefrontId: '<string>'})
};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/rendition-vast-publications/{publicationUid}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"publicationUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"buyerCustomerId": 4503599627370496,
"advertiserId": "<string>",
"storefrontId": "<string>",
"jobUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destinationPlatformId": "<string>",
"policyVersion": "<string>",
"trackingContractUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trackingContractKey": "<string>",
"trackingContractVersion": "<string>",
"artifactSetSha256": "<string>",
"capabilitySetSha256": "<string>",
"compilerVersion": "<string>",
"vastVersion": "4.2",
"vastSha256": "<string>",
"mediaFileCount": 4503599627370496,
"vastUrl": "<string>",
"issuedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"state": "active",
"replacesPublicationUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revokedAt": "2023-11-07T05:31:56Z"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Creatives
Revoke a rendition VAST publication
Revoke a rendition VAST publication and all media capabilities embedded in its immutable VAST document.
POST
/
advertisers
/
{advertiserId}
/
rendition-vast-publications
/
{publicationUid}
/
revoke
Revoke a rendition VAST publication
curl --request POST \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/rendition-vast-publications/{publicationUid}/revoke \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"storefrontId": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/rendition-vast-publications/{publicationUid}/revoke"
payload = { "storefrontId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({storefrontId: '<string>'})
};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/rendition-vast-publications/{publicationUid}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"publicationUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"buyerCustomerId": 4503599627370496,
"advertiserId": "<string>",
"storefrontId": "<string>",
"jobUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destinationPlatformId": "<string>",
"policyVersion": "<string>",
"trackingContractUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trackingContractKey": "<string>",
"trackingContractVersion": "<string>",
"artifactSetSha256": "<string>",
"capabilitySetSha256": "<string>",
"compilerVersion": "<string>",
"vastVersion": "4.2",
"vastSha256": "<string>",
"mediaFileCount": 4503599627370496,
"vastUrl": "<string>",
"issuedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"state": "active",
"replacesPublicationUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revokedAt": "2023-11-07T05:31:56Z"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Pattern:
^[1-9][0-9]*$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Pattern:
^[1-9][0-9]*$Response
Revoke a rendition VAST publication
Pattern:
^[1-9][0-9]*$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Required range:
1 <= x <= 9007199254740991Pattern:
^[1-9][0-9]*$Pattern:
^[1-9][0-9]*$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Minimum string length:
1Minimum string length:
1Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Minimum string length:
1Minimum string length:
1Pattern:
^[a-f0-9]{64}$Pattern:
^[a-f0-9]{64}$Minimum string length:
1Available options:
4.2 Pattern:
^[a-f0-9]{64}$Required range:
1 <= x <= 9007199254740991Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Available options:
active, expired, revoked Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$